package javacodegeeks;

prog polyMathMixed { 

  static void polyMathLoop(final int loopLimit){
    for (int index = 0; index < loopLimit; index++) {
      Integer number = index * index * index + index * index + index;
    }//end for
  }//end polyMathLoop

begin
  long timeStart = nanoTime();
  polyMathLoop(1000);
  long timeClose = nanoTime();
  printf("Total time: %d nanosec%n",(timeClose-timeStart));
  println();
  exit(0);
}

/*
Primitive: Total time:  18484 nanosec    1.0
Object:    Total time: 512084 nanosec   27.7
Mixed:     Total time: 265483 nanosec   14.3


/Users/williamgilreath$java -cp . ZepC polyMathObject.zep
/Users/williamgilreath$java -cp . polyMathObject 
Total time: 512084 nanosec

/Users/williamgilreath$
*/
